Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.execute
Class ComplexValue

    java.lang.Object
      org.deegree.ogcwebservices.wps.execute.ComplexValueEncoding
          org.deegree.ogcwebservices.wps.execute.ComplexValue

    public class ComplexValue

extends ComplexValueEncoding

ComplexValue.java Created on 24.03.2006. 16:35:15h Identifies this input or output value as a complex value data structure encoded in XML (e.g., using GML), and provides that complex value data structure. For an input, this element may be used by a client for any process input coded as ComplexData in the ProcessDescription. For an output, this element shall be used by a server when "store" in the Execute request is "false".

Since:
  2.0
Version:
  1.0.
Author:
  Christian Kiehle, Christian Heier

Field Summary
`protected Object` | `value`

Fields inherited from class org.deegree.ogcwebservices.wps.execute.ComplexValueEncoding
`encoding, format, schema`

Constructor Summary
`ComplexValue(String format, URI encoding, URL schema, Object value)`

Method Summary
`Object` | `getContent()`

Methods inherited from class org.deegree.ogcwebservices.wps.execute.ComplexValueEncoding
`getEncoding, getFormat, getSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected Object value

Constructor Detail

### ComplexValue

    public ComplexValue(String format,
                        URI encoding,
                        URL schema,
                        Object value)

Parameters:
  `encoding` -
  `format` -
  `schema` -
  `value` - to set

Method Detail

### getContent

    public Object getContent()

  Returns:
    Returns the content.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org